import request from '@/utils/request'

export function getCreditAnalysis(query) {
  return request({
    url: '/invest/analysis/creditAnalysis',
    method: 'get',
    params: query
  })
}

export function getFuturesStocksAnalysis(query) {
  return request({
    url: '/invest/analysis/futuresStocksAnalysis',
    method: 'get',
    params: query
  })
}

export function getInstallmentHistoryAnalysis(query) {
  return request({
    url: '/invest/analysis/installmentHistoryAnalysis',
    method: 'get',
    params: query
  })
}

export function getCreditRecordsAnalysis(query) {
  return request({
    url: '/invest/analysis/creditRecordAnalysis',
    method: 'get',
    params: query
  })
}

export function getInstallmentSettledAnalysis(query) {
  return request({
    url: '/invest/analysis/installmentSettledAnalysis',
    method: 'get',
    params: query
  })
}

export function getAccountsAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsAnalysis',
    method: 'get',
    params: query
  })
}

export function getPosAnalysis(query) {
  return request({
    url: '/invest/analysis/posAnalysis',
    method: 'get',
    params: query
  })
}

export function getAcccountsDealAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsDealAnalysis',
    method: 'get',
    params: query
  })
}

export function getAcccountsOutInAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsOutInAnalysis',
    method: 'get',
    params: query
  })
}


export function getDailyExpensesAnalysis(query) {
  return request({
    url: '/invest/analysis/dailyExpensesAnalysis',
    method: 'get',
    params: query
  })
}


export function getDebitCardAnalysis(query) {
  return request({
    url: '/invest/analysis/debitCardAnalysis',
    method: 'get',
    params: query
  })
}

export function getPosStatics(query) {
  return request({
    url: '/invest/analysis/posStatics',
    method: 'get',
    params: query
  })
}

// 查询睡眠账户列表
export function listSleepAccounts(query) {
  return request({
    url: '/invest/analysis/sleepAccountsList',
    method: 'get',
    params: query
  })
}

// 查询储蓄卡开卡统计数据
export function getOpenCardList(query) {
  return request({
    url: '/invest/analysis/openCardList',
    method: 'get',
    params: query
  })
}

// 查询按银行统计银行卡数量
export function getBankCardStatistics(query) {
  return request({
    url: '/invest/analysis/bankCardStatistics',
    method: 'get',
    params: query
  })
}
